•  » Outils
  •  » Installer pLoader sous linux 64bits (et autres ?)

#16 2010-07-02 23:54:44

doumeb
Membre
Lyon
2010-07-01
16

Re: Installer pLoader sous linux 64bits (et autres ?)

Clément a écrit:

J'ai mis à jour le tuto, il fonctionne de nouveau. Il manquait deux dépendances.

merci beaucoup
le seul truc qui ne fonctionne pas; c'est la création d'un lanceur, je ne sais pas pourquoi ! Mais ce n'est pas grave.
doumé

Dernière modification par doumeb (2010-07-02 23:55:16)

Hors ligne

#17 2010-07-03 00:29:38

Clément
Membre
Lyon
2010-01-11
35

Re: Installer pLoader sous linux 64bits (et autres ?)

Effectivement, l'erreur vient du fait qu'on ne lance pas le programme en étant à l'intérieur du du dossier où il est (j'avais déjà eu cette erreur avec un autre logiciel), donc il ne trouve pas les "annexes" dont il a besoin.

J'ai corrigé cette erreur pour le bashrc, mais je ne connais pas la solution pour le lanceur graphique.

Hors ligne

#18 2010-07-03 06:13:01

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
14712

Re: Installer pLoader sous linux 64bits (et autres ?)

Merci Clément pour ce tuto :-)


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#19 2010-08-25 09:27:44

LeLandais
Invité

Re: Installer pLoader sous linux 64bits (et autres ?)

Merci pour le Tuto !!!

Je suis utilisateur de Ubuntu 10.04 en 64 bits et j'ai du installer une dépendance supplémentaire :

libclass-accessor-perl

#20 2010-11-02 15:51:55

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12348

Re: Installer pLoader sous linux 64bits (et autres ?)

Clément, peux-tu mettre à jour le tutoriel pour indiquer de faire un export de http://piwigo.org/svn/extensions/pLoader/tags/1.6 plutôt que trunk s'il te plaît. Le trunk est instable et il y a pas mal de bugs sous Linux pour le moment.


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#21 2010-11-02 18:33:53

Clément
Membre
Lyon
2010-01-11
35

Re: Installer pLoader sous linux 64bits (et autres ?)

C'est bon, j'ai mis à jour le tuto.
J'ai testé, ça fonctionne bien.

Hors ligne

#22 2010-11-02 19:10:50

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12348

Re: Installer pLoader sous linux 64bits (et autres ?)

Clément a écrit:

C'est bon, j'ai mis à jour le tuto.

Merci

Clément a écrit:

J'ai testé, ça fonctionne bien.

Avec quelle version d'Ubuntu (je suis en train d'installer Ubuntu 10.10 en virtualBox, j'ai une notification de bug sur le forum central anglophone.


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#23 2010-11-02 21:24:07

Clément
Membre
Lyon
2010-01-11
35

Re: Installer pLoader sous linux 64bits (et autres ?)

J'ai essayé sur la 10.04.1 Lucid Lynx LTS

J'ai regardé le message sur le forum anglophone ("pLoader under ubuntu 10.10", son OS est en français). Je pense qu'il y a un problème de dépendance ou de version d'un paquet.
Une recherche rapide me fait penser qu'il manque un lien symbolique quelque part, mais je n'ai pas de poste sous 10.10 pour tester.

Hors ligne

#24 2010-11-02 22:01:12

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12348

Re: Installer pLoader sous linux 64bits (et autres ?)

Voilà, j'ai testé pLoader 1.5 binaire sur Ubuntu 10.10 32 bits et je confirme son bug. Malheureusement non, il faudrait recompiler pLoader sous Ubuntu 10.10 pour le rendre compatible, ce n'est pas qu'une histoire de lien symbolique.

Heureusement, pLoader 1.6 marche nickel à partir des sources, à condition de ne pas oublier d'installer libclass-accessor-perl (qui manque dans la liste, mais qui n'est peut-être pas présente sur Ubuntu <10.04). Je vais répondre sur le forum anglophone. De toute façon démarrer pLoader à partir des sources, c'est nettement plus pérenne sous Linux et beaucoup plus compatible de manière générale, il faut simplement déterminer la liste des dépendances par version de distribution.


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#25 2010-11-02 22:03:56

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12348

Re: Installer pLoader sous linux 64bits (et autres ?)

Clément a écrit:

[...] je n'ai pas de poste sous 10.10 pour tester.

1) installation VirtualBox OSE
2) téléchargement de l'iso Ubuntu 10.10
3) création d'une machine virtuelle sur laquelle on installe Ubuntu 10.10
4) tests de pLoader dedans :-)


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#26 2010-11-02 22:32:03

Clément
Membre
Lyon
2010-01-11
35

Re: Installer pLoader sous linux 64bits (et autres ?)

J'ai le paquet libclass-accessor-perl d'installer. Je l'ajoute à la liste des dépendances.



Hors sujet : J'ai invité Sébastien T. à faire une présentation de Piwigo sur Lyon début octobre. Ça a été bien apprécié.

Hors ligne

#27 2010-11-02 22:45:12

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12348

Re: Installer pLoader sous linux 64bits (et autres ?)

Clément a écrit:

J'ai le paquet libclass-accessor-perl d'installer. Je l'ajoute à la liste des dépendances.

Parfait. Ce tuto mériterait peut-être une page dans le wiki quand même !

Clément a écrit:

Hors sujet : J'ai invité Sébastien T. à faire une présentation de Piwigo sur Lyon début octobre. Ça a été bien apprécié.

Ah oui, c'est hors-sujet, mais j'ai suivi l'affaire et on a debrieffé avec Seb. Arrêtons là le hors sujet :-)


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#28 2011-03-22 12:10:47

grolourdo
Invité

Re: Installer pLoader sous linux 64bits (et autres ?)

bonjour a tous, j'aurais voulu savoir si une application est prevu pour android :)

merci
bonne journée a tous

#29 2012-08-04 11:33:40

iGor
Membre
2012-08-04
13

Re: Installer pLoader sous linux 64bits (et autres ?)

Bonjour,

J'ai fini par comprendre que mes soucis de démarrage de pLoader sous Ubuntu 12.04 venaient de la version 64bits. Alors j'ai suivi ce tutoriel.
Mais lorsque je démarre pLoader depuis le bon répertoire, j'ai un message d'erreur :

Code:

perl ploader.pl 
Gtk-Message: Failed to load module "pk-gtk-module"
Byte order is not compatible at /usr/lib/perl/5.14/Storable.pm line 379.
Byte order is not compatible at /usr/lib/perl/5.14/Storable.pm line 379, at /home/igor/informatique/logiciels_hors_depot/pLoader/src/Uploader/GUI/wxApp.pm line 203
Byte order is not compatible at /usr/lib/perl/5.14/Storable.pm line 379, at /home/igor/informatique/logiciels_hors_depot/pLoader/src/Uploader/GUI/wxApp.pm line 203

Je ne vois pas bien ce que je peux faire.

Hors ligne

#30 2012-08-04 13:41:22

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12348

Re: Installer pLoader sous linux 64bits (et autres ?)

Bonjour iGor,

Supprime ton répertoire $HOME/.pLoader


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

  •  » Outils
  •  » Installer pLoader sous linux 64bits (et autres ?)

Pied de page des forums

Propulsé par FluxBB

github twitter facebook newsletter Faire un don Piwigo.org © 2002-2019 · Contact